Package: libsrtp2 / 2.2.0-1

2001_make_shellscript_noisy.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
Description: Enable debugging in regression test shell script
Author: Jonas Smedegaard <dr@jones.dk>
Last-Update: 2011-05-25

--- a/test/rtpw_test.sh
+++ b/test/rtpw_test.sh
@@ -37,6 +37,9 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
+set -e
+set -x
+
 case $(uname -s) in
     *CYGWIN*|*MINGW*)
         EXE=".exe"
@@ -60,7 +63,7 @@
 # they are killed, those processes will linger.  Re-running the script
 # will get rid of them.
 
-killall rtpw 2>/dev/null
+killall -q rtpw || true
 
 if test -x $RTPW; then